CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::Column::InvalidRowNumber Class Reference

Exception thrown on attempting to read a row number beyond the end of a table. More...

`#include <Column.h>`

Inheritance diagram for CCfits::Column::InvalidRowNumber:

List of all members.

## Public Member Functions

| InvalidRowNumber (const String &diag, bool silent=true)
| Exception ctor, prefixes the string "FitsError: Invalid Row Number - Column: " before the specific message.

## Detailed Description

Exception thrown on attempting to read a row number beyond the end of a table.

## Constructor & Destructor Documentation

CCfits::Column::InvalidRowNumber::InvalidRowNumber | ( | const String & | diag,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "FitsError: Invalid Row Number - Column: " before the specific message.

Parameters:

  diag | A specific diagnostic message, usually the column name.
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- Column.h
- Column.cxx